<nav class="navbar navbar-dark bg-secondary">
  <a class="navbar-brand" href="/">
    <h1>Registro de producto</h1>
  </a>
</nav>

<div class="container">
  <div class="row">
    <div class="col-md-8" >
      <div class="card mt-4">
        <div class="card-body">
          <div class="card-title">
            <h2>Inserta un producto</h2>
          </div>
          <div class="form-group">
            <h4>Nombre del producto:</h4>
            <input type="text" [(ngModel)]="seleccionProducto.nombre" placeholder="Inserte el nombre del producto" class="form-control">
          </div>
          <div class="form-group">
            <h4>Nombre de la marca:</h4>
            <input type="text" [(ngModel)]="seleccionProducto.marca" placeholder="Inserte la marca del producto" class="form-control">
          </div>
          <div class="form-group">
            <h4>Nombre del material:</h4>
            <input type="text" [(ngModel)]="seleccionProducto.material" placeholder="Inserte el material del producto" class="form-control">
          </div>
          <button (click)= "agregarOEditar();" class="btn btn-primary">
            <h6>Guardar</h6>
          </button>
          <button *ngIf="seleccionProducto.id !== 0" class="btn btn-danger ml-2" (click)="modal('prueba');" >
           <h6>Eliminar</h6> 
          </button>
        </div>
      </div>
    </div>
    <div class="col-md-4 mt-4">
      <img
      width="150%"
      height="60%"
      alt="Angular Logo"
      src="assets/img/Logo.jpg"
    />
    </div>
  </div>
  <ul class="list-group">
    <h3>Listado de producto</h3>
    <li class="list-group-item list-group-item-action" *ngFor="let producto of productosArray" (click)="editar(producto);" [class.active] = "producto == seleccionProducto">
      <span class="badge badge-success">{{producto.id }} </span> {{producto.nombre}} - {{producto.marca}} - {{producto.material}}
    </li>
  </ul>
</div>

<!-- Modal -->
<jw-modal id="prueba">
  <div style="height:100%; width:100%">
    <div class="modal-header">
      <div class="jw-modal-titulo"><h4 >Mensaje</h4></div>
      
    </div>
    <div class="modal-body">
      <p>¿Estás seguro de borrar este registro?</p>
    </div>
    <div class="col-md-12" align="right">
      <button class="btn btn-default" (click)="closeModal('prueba');">Cancelar</button>&nbsp;
      <button class="btn btn-primary " (click)="borrar();">Aceptar</button>
    </div>
  </div>
</jw-modal>

